Get questions and clusters
curl --request GET \
--url https://api.app.hrizn.io/v1/public/ideaclouds/{id}/questions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/ideaclouds/{id}/questions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/{id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/{id}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/ideaclouds/{id}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "23a66cb1-f5d9-4c91-b9d2-06c8203bd251",
"status": "complete",
"questions": [
{
"id": "q-1772225333601-0",
"question": "What is the maximum towing capacity of the 2026 Chevy Silverado 3500 DRW?",
"cluster_id": "cluster-0",
"source_url": "https://www.chevrolet.com/trucks/silverado/heavy-duty",
"source_title": null,
"is_recommended": true
},
{
"id": "q-1772225333601-1",
"question": "What is the maximum conventional towing capacity?",
"cluster_id": "cluster-0",
"source_url": "https://www.chevrolet.com/trucks/silverado/heavy-duty",
"source_title": null,
"is_recommended": false
},
{
"id": "q-1772225333601-2",
"question": "How much does the 6.6L gas engine tow in the 3500 DRW?",
"cluster_id": "cluster-0",
"source_url": "https://www.caranddriver.com/chevrolet/silverado-2500hd-3500hd",
"source_title": null,
"is_recommended": false
}
],
"clusters": [
{ "id": "cluster-0", "label": "Towing and Payload Capacity", "question_count": 29 },
{ "id": "cluster-1", "label": "Engine and Performance", "question_count": 15 }
],
"recommended_question_ids": [
"q-1772225333602-60",
"q-1772225333601-0",
"q-1772225333601-5"
]
}
}
Get IdeaCloud questions
Get the researched questions and clusters from an IdeaCloud
GET
/
ideaclouds
/
{id}
/
questions
Get questions and clusters
Returns the questions discovered during research, organized into clusters by search intent. Only available after the IdeaCloud reaches
complete status.
Scope required: ideaclouds:read
Path parameters
UUID of the IdeaCloud.
{
"data": {
"id": "23a66cb1-f5d9-4c91-b9d2-06c8203bd251",
"status": "complete",
"questions": [
{
"id": "q-1772225333601-0",
"question": "What is the maximum towing capacity of the 2026 Chevy Silverado 3500 DRW?",
"cluster_id": "cluster-0",
"source_url": "https://www.chevrolet.com/trucks/silverado/heavy-duty",
"source_title": null,
"is_recommended": true
},
{
"id": "q-1772225333601-1",
"question": "What is the maximum conventional towing capacity?",
"cluster_id": "cluster-0",
"source_url": "https://www.chevrolet.com/trucks/silverado/heavy-duty",
"source_title": null,
"is_recommended": false
},
{
"id": "q-1772225333601-2",
"question": "How much does the 6.6L gas engine tow in the 3500 DRW?",
"cluster_id": "cluster-0",
"source_url": "https://www.caranddriver.com/chevrolet/silverado-2500hd-3500hd",
"source_title": null,
"is_recommended": false
}
],
"clusters": [
{ "id": "cluster-0", "label": "Towing and Payload Capacity", "question_count": 29 },
{ "id": "cluster-1", "label": "Engine and Performance", "question_count": 15 }
],
"recommended_question_ids": [
"q-1772225333602-60",
"q-1772225333601-0",
"q-1772225333601-5"
]
}
}
Question IDs use the format
q-{timestamp}-{index} (e.g. q-1772246824308-0), not UUIDs. Use these IDs as-is when passing selected_question_ids to the content creation and generation endpoints.Cluster IDs use the format
cluster-{index} (e.g. cluster-0). Each question’s cluster_id references one of the cluster objects in the clusters array.Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
IdeaCloud ID
Response
Questions and clusters
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Last modified on February 28, 2026
⌘I
